var fs = require('fs');
var semver = require('semver');
var spawn = require('child_process').spawn;

var packageJSON = require('./package.json');
var hashLength = 8;

function createUniqueHash() {
  var makeHash = require('crypto').createHash('sha1');
  var timeString = (new Date).getTime().toString();
  return makeHash.update(timeString).digest('hex').substring(0, hashLength);
}

var newVersion = packageJSON.version.split('-')
  .slice(0, 2)
  .concat(createUniqueHash())
  .join('-');

packageJSON.version = newVersion;
fs.writeFileSync('package.json', JSON.stringify(packageJSON, null, 2));

var npmCmd = spawn('npm', ['publish', '--tag=nightly', '.']);

npmCmd.stdout.on('data', function (data) {
  console.log(data.toString());
});

npmCmd.stderr.on('data', function (data) {
  console.log('npm err: ' + data.toString());
});

npmCmd.on('close', function() {
  console.log('done');
});

